package com.oguerreiro.resilient.domain;

import static com.oguerreiro.resilient.domain.InputDataUploadLogTestSamples.*;
import static com.oguerreiro.resilient.domain.InputDataUploadTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class InputDataUploadLogTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(InputDataUploadLog.class);
        InputDataUploadLog inputDataUploadLog1 = getInputDataUploadLogSample1();
        InputDataUploadLog inputDataUploadLog2 = new InputDataUploadLog();
        assertThat(inputDataUploadLog1).isNotEqualTo(inputDataUploadLog2);

        inputDataUploadLog2.setId(inputDataUploadLog1.getId());
        assertThat(inputDataUploadLog1).isEqualTo(inputDataUploadLog2);

        inputDataUploadLog2 = getInputDataUploadLogSample2();
        assertThat(inputDataUploadLog1).isNotEqualTo(inputDataUploadLog2);
    }

    @Test
    void inputDataUploadTest() {
        InputDataUploadLog inputDataUploadLog = getInputDataUploadLogRandomSampleGenerator();
        InputDataUpload inputDataUploadBack = getInputDataUploadRandomSampleGenerator();

        inputDataUploadLog.setInputDataUpload(inputDataUploadBack);
        assertThat(inputDataUploadLog.getInputDataUpload()).isEqualTo(inputDataUploadBack);

        inputDataUploadLog.inputDataUpload(null);
        assertThat(inputDataUploadLog.getInputDataUpload()).isNull();
    }
}
